package org.gvsig.raster.projecttemplate.lib.impl;

import org.gvsig.raster.projecttemplate.lib.ProjectTemplateManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Default {@link ProjectTemplateManager} implementation.
 * 
 * @author gvSIG Team
 * @version $Id$
 */
public class DefaultProjectTemplateManager implements ProjectTemplateManager {
	private static DefaultProjectTemplateManager   internalInstance  = new DefaultProjectTemplateManager();
	private static final Logger                       logger            = LoggerFactory.getLogger(DefaultProjectTemplateManager.class);
	
	/**
	 * Gets an instance of this object for internal use.
	 * @return DefaultRasterManager
	 */
	public static DefaultProjectTemplateManager getInstance() {
		return internalInstance;
	}
}
