package org.gvsig.raster.projecttemplate.swing.impl;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JComponent;
import javax.swing.JPanel;

import org.gvsig.raster.projecttemplate.swing.ProjectTemplateData;
import org.gvsig.raster.projecttemplate.swing.ProjectTemplatePanel;

public class ProjectTemplatePanelImpl extends JPanel implements ProjectTemplatePanel {
	private static final long               serialVersionUID     = 1L;
	private ProjectTemplateDataImpl         data                 = null;
	
	public ProjectTemplatePanelImpl() {
		init();
	}
	
	private void init() {
		this.setLayout(new GridBagLayout());
		GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
		gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
		gridBagConstraints1.weightx = 1;
		gridBagConstraints1.insets = new java.awt.Insets(0, 0, 0, 0);
		
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.gridy = 0;
		this.add(new JPanel(), gridBagConstraints1);
		
	}
	
	public JComponent getComponent() {
		return this;
	}

	public ProjectTemplateData getDataModel() {
		if(data == null)
			data = new ProjectTemplateDataImpl(this);
		return data;
	}
}
