package org.gvsig.raster.projecttemplate.app;

import org.gvsig.andami.IconThemeHelper;
import org.gvsig.andami.plugins.Extension;
import org.gvsig.i18n.Messages;
import org.gvsig.tools.ToolsLocator;
import org.gvsig.tools.extensionpoint.ExtensionPoint;
import org.gvsig.tools.extensionpoint.ExtensionPointManager;


public class ProjectTemplateExtension extends Extension {

    public void initialize() {
    	
    	// Adds an entry to the TOC's floating menu to those layers defined in this extension
    	
		//ExtensionPoint exPoint = ToolsLocator.getExtensionPointManager().add("My_TocActions");
		//exPoint.append("MyMenuEntry", "", new ProjectTemplateTocMenuEntry());

        // Adds a new tab to the "add layer" dialog
    	
    	//AddLayer.addWizard(ProjectTemplateWizard.class);
    	
    	// Adds a new button in the raster bar
    	
		ExtensionPointManager extensionPoints = ToolsLocator.getExtensionPointManager();
		ExtensionPoint point = extensionPoints.add("GenericToolBarMenu");
		point.append("ProjectTemplate", "", ProjectTemplateTocMenuEntry.getSingleton());
		ProjectTemplateTocMenuEntry.setExtension(this);
    	
        Messages.addResourceFamily("org.gvsig.raster.projecttemplate.app.i18n.text",
        		ProjectTemplateExtension.class.getClassLoader(),
        		ProjectTemplateExtension.class.getClass().getName()); 

    	initilizeIcons();
    }
    
	public void postInitialize() {
	}

    public void execute(String actionCommand) {
    }

    public boolean isEnabled() {
        return false;
    }

    public boolean isVisible() {
        return false;
    }


    void initilizeIcons(){
		IconThemeHelper.registerIcon(null, "gvsig-icon", this);
    }
}
