package org.gvsig.raster.projecttemplate.lib.impl;

import org.gvsig.raster.projecttemplate.lib.ProjectTemplateLibrary;
import org.gvsig.raster.projecttemplate.lib.ProjectTemplateLocator;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

/**
 * Library for default implementation initialization and configuration.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public class ProjectTemplateDefaultImplLibrary extends AbstractLibrary {
	
	public ProjectTemplateDefaultImplLibrary() {
		registerAsImplementationOf(ProjectTemplateLibrary.class);
	}

	protected void doInitialize() throws LibraryException {
        //Register the default GeometryManager
		ProjectTemplateLocator.registerManager(DefaultProjectTemplateManager.class);
	}

    @Override
    protected void doPostInitialize() throws LibraryException {
    	
    }

}
