package org.gvsig.raster.projecttemplate.app;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JPanel;

public class MainPanel extends JPanel {
	private static final long serialVersionUID = 1L;

	public MainPanel(JComponent panel, JComponent createLayer) {
		setLayout(new GridBagLayout());
		GridBagConstraints gbc = new GridBagConstraints();
		gbc.anchor = GridBagConstraints.WEST;
		gbc.fill = GridBagConstraints.BOTH;
		gbc.weightx = 1;
		gbc.weighty = 1;
		gbc.gridy = 0;
		JPanel algPanel = new JPanel();
		algPanel.setBorder(BorderFactory.createTitledBorder("My algorithm"));
		add(algPanel, gbc);
		
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gbc.weightx = 1;
		gbc.weighty = 0;
		gbc.gridy = 1;
		
		add(createLayer, gbc);
	}
}
